## sgmltools-lite 3.0.3.0.cvs.20010909

=== debian/changelog ===
sgmltools-lite (3.0.3.0.cvs.20010909-19) unstable; urgency=medium

  * QA upload.
  * Switch to "3.0 (quilt)" source format.
  * Standards-Version: 3.9.6 (no special changes for this).
  * debian/rules: Drop some useless/unused/unnecessary stuff.
  * Do not run configure script twice. Instead, run it only once and pass
    appropriate parameters to "make install". This also avoids having
    to rewrite scripts to remove build paths from them afterwards.
  * Try to be reproducible by creating md5sums in a deterministic way.

 -- Santiago Vila <sanvila@debian.org>  Wed, 14 Oct 2015 01:17:10 +0200

sgmltools-lite (3.0.3.0.cvs.20010909-18) unstable; urgency=medium

  * QA upload
  * debian/rules:
    - use option -n in gzip invocations in order to not include timestamps.
      Thanks to Chris Lamb for the patch! (closes: #777011)
    - set the mtimes of all files which are modified during the built to the
      date of the last changelog entry. Thanks to Maria Valentina Marin
      for the patch! (closes: #793720)

 -- Ralf Treinen <treinen@debian.org>  Mon, 10 Aug 2015 12:24:06 +0200

sgmltools-lite (3.0.3.0.cvs.20010909-17) unstable; urgency=low

  * QA upload.
    - Mark sgmltools-lite Multi-Arch: foreign.

 -- Adam Conrad <adconrad@debian.org>  Mon, 16 Jul 2012 18:43:33 -0600

sgmltools-lite (3.0.3.0.cvs.20010909-16) unstable; urgency=low

  * QA upload.
  * Remove postinst. It was used to execute a transitional call to
    update-catalog: such a call is a noop since the new sgml-base version.
    (Closes: #674914). Thanks, Helmut Grohne.
  * build-{arch,indep} targets added.
  * The package is architecture-independent: build files in binary-indep.
  * Maintainer field set to QA Group.
  * Standards-Version bumped to 3.9.3.
  * FSF address updated in debian/copyright.

 -- Emanuele Rocca <ema@debian.org>  Fri, 15 Jun 2012 08:48:51 +0000

sgmltools-lite (3.0.3.0.cvs.20010909-15.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bashism in jadewhich (Closes: #489659)

 -- Matthew Johnson <mjj29@debian.org>  Sun, 24 Aug 2008 13:58:00 +0000

sgmltools-lite (3.0.3.0.cvs.20010909-15) unstable; urgency=low

  * python/utils.py: correctly handles two or more successive asterisks
    at the end or a single-quote in the file name given to Tracer.mv()
    (since a single-quoted string can't contain a single quote in a shell,
    Tracer.mv() now back-quotes every character in the file name instead of
    calling shellProtect())

 -- Oohara Yuuma <oohara@debian.org>  Wed,  9 Jan 2008 06:10:44 +0900

sgmltools-lite (3.0.3.0.cvs.20010909-14) unstable; urgency=low

  * python/utils.py: Handles the asterisk given to Tracer.mv() manually
    so that it matches any number of characters.  In a shell, 'foo'* should
    mean "any file whose name begins with 'foo' (not foo)" --- glob occurs
    before quote removal.  (closes: #459051)

 -- Oohara Yuuma <oohara@debian.org>  Tue,  8 Jan 2008 18:59:28 +0900

sgmltools-lite (3.0.3.0.cvs.20010909-13) unstable; urgency=low

  * debian/rules: made sure that the argument of --with-dbimages
    begins with / (I don't know why I call ./configure twice,
    but it seems to work) (thanks to Adam DiCarlo <aph@debian.org> for help)
    (closes: #130504)
  * debian/postinst, debian/prerm: no /usr/doc symlink

 -- Oohara Yuuma <oohara@debian.org>  Wed, 30 Jul 2003 11:04:39 +0900

sgmltools-lite (3.0.3.0.cvs.20010909-12) unstable; urgency=low

  * debian/control: added version condition to Depends: python because
    sgmltools requires python 1.5 or later
  * src/configure.in: added missing AC_SUBST
  * src/configure: regenerated

 -- Oohara Yuuma <oohara@debian.org>  Thu, 11 Apr 2002 04:04:14 +0900

sgmltools-lite (3.0.3.0.cvs.20010909-11) unstable; urgency=low

  * src/configure.in: made sure that it does not check the absolute path
    of programs (Debian follows the FHS, we know they are in /usr/bin)
    (closes: #142156)
  * src/configure: regenerated
  * debian/control: no Build-Depends-Indep: now
  * debian/.mew.el: removed because it has nothing to do with the package

 -- Oohara Yuuma <oohara@debian.org>  Thu, 11 Apr 2002 00:33:27 +0900

sgmltools-lite (3.0.3.0.cvs.20010909-10) unstable; urgency=low

  * debian/control: improved Description: (thanks Meinolf Sander
    <mesa@netcologne.de>)
  * src/python/backends/Html.py: fixed a typo in a warning message
  * src/bin/sgmltools.in: hardcoded the absolute path of jade, lynx
    and w3m to reduce build dependency
  * debian/control: dropped jade|openjade, lynx and w3m|w3mmee from
    Build-Depends-Indep: (they are needed just to check their absolute path)

 -- Oohara Yuuma <oohara@debian.org>  Sun, 31 Mar 2002 15:44:35 +0900

sgmltools-lite (3.0.3.0.cvs.20010909-9) unstable; urgency=low

  * new maintainer
  * src/python/backends/Html.py: issues a warning if the output directory
    is empty

 -- Oohara Yuuma <oohara@debian.org>  Mon, 25 Feb 2002 11:28:16 +0900

sgmltools-lite (3.0.3.0.cvs.20010909-8) unstable; urgency=low

  * Merge the work done by Oohara Yuuma.  Thanks to him.

 -- Taketoshi Sano <sano@debian.org>  Mon, 18 Feb 2002 21:52:30 +0900

sgmltools-lite (3.0.3.0.cvs.20010909-7.1) unstable; urgency=low

  * NMU
  * src/python/SGMLtools.py: assumes -b onehtml if -b html and
    -j '-V nochunks' are specified (closes: #72887)
  * src/python/SGMLtools.py: added /etc/sgml/catalog to the search path
    for a SGML super catalog (closes: #131620)
  * debian/addition/jadewhich: replaced $* with "$@" (closes: #132250)

 -- Oohara Yuuma <oohara@libra.interq.or.jp>  Fri, 15 Feb 2002 13:49:59 +0900

sgmltools-lite (3.0.3.0.cvs.20010909-7) unstable; urgency=low

  * remove python-base from Build-Depends and Depends.
    I don't know if the upgrade from potato can be done
    safely, but the bug reporter must have been certain.
    (Closes: #124019)

 -- Taketoshi Sano <sano@debian.org>  Sat, 29 Dec 2001 23:58:33 +0900

sgmltools-lite (3.0.3.0.cvs.20010909-6) unstable; urgency=low


